Load a workflow's graph and compact research history.
curl --request GET \
--url https://api.example.com/v1/workflows/{id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workflows/{id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workflows/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Workflows and Nodes
GET /v1/workflows/{id}/history
GET
/
v1
/
workflows
/
{id}
/
history
Load a workflow's graph and compact research history.
curl --request GET \
--url https://api.example.com/v1/workflows/{id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workflows/{id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workflows/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Load a workflow with recency-sorted node summaries, canonical graph edges, and compact linked benchmark summaries.
Use
limit and offset to page returned node summaries. limit defaults to 25, can be set up to 500, and offset defaults to 0. Use max_characters to truncate long free-text fields such as titles, hypotheses, analyses, result-data strings, config strings, and benchmark-summary strings. Omit it to receive untruncated text.
The response includes:
workflow.main_path: ordered root-to-head node IDs for the most recently created leaf chain.workflow.head_node_id: the most recent leaf node selected formain_path.competition: light competition metadata withcompetition_id,name,slug, andsource_type.graph.nodes: paged node summaries sorted newest first, withhypothesisandon_main_path.graph.edges: canonical thin{ from, to, type }workflow edges.metadata: node page metadata withlimit,offset,returned_count, andtotal_count.
Was this page helpful?
